Bug 26512 - Display issue with buttons for OPAC checkout note
Summary: Display issue with buttons for OPAC checkout note
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 20168
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-23 11:47 UTC by Owen Leonard
Modified: 2020-10-27 04:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26512: Display issue with buttons for OPAC checkout note (2.64 KB, patch)
2020-09-23 13:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26512: Display issue with buttons for OPAC checkout note (2.69 KB, patch)
2020-09-23 20:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 26512: Display issue with buttons for OPAC checkout note (2.74 KB, patch)
2020-09-23 20:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-09-23 11:47:22 UTC
When the AllowCheckoutNotes system preference is enabled the logged-in OPAC user can add notes to items they have checked out. The submit button for this process was not updated with the correct Bootstrap 4 classes.
Comment 1 Owen Leonard 2020-09-23 13:24:13 UTC
Created attachment 110599 [details] [review]
Bug 26512: Display issue with buttons for OPAC checkout note

This patch adds the correct Bootstrap 4 class to the buttons for
submitting checkout notes in the OPAC.

The markup has been updated to use <button> instead of <a> because of a
style conflict with jQueryUI's CSS.

To test, apply the patch and enable the AllowCheckoutNotes system
preference.

- Log in to the OPAC as a patron with checkouts.
- On the "Your summary" page, enter some text into a field in the
  "Notes" column of the checkouts table.
- Upon typing in the field a button should appear, "Submit note."
- The button should be styled as a green button.
- Submit the note.
- Make a change to the text in the field. A button should appear,
  "Submit changes." It should also be styled correctly.
Comment 2 David Nind 2020-09-23 20:11:09 UTC
Created attachment 110624 [details] [review]
Bug 26512: Display issue with buttons for OPAC checkout note

This patch adds the correct Bootstrap 4 class to the buttons for
submitting checkout notes in the OPAC.

The markup has been updated to use <button> instead of <a> because of a
style conflict with jQueryUI's CSS.

To test, apply the patch and enable the AllowCheckoutNotes system
preference.

- Log in to the OPAC as a patron with checkouts.
- On the "Your summary" page, enter some text into a field in the
  "Notes" column of the checkouts table.
- Upon typing in the field a button should appear, "Submit note."
- The button should be styled as a green button.
- Submit the note.
- Make a change to the text in the field. A button should appear,
  "Submit changes." It should also be styled correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-09-23 20:37:10 UTC
Created attachment 110628 [details] [review]
Bug 26512: Display issue with buttons for OPAC checkout note

This patch adds the correct Bootstrap 4 class to the buttons for
submitting checkout notes in the OPAC.

The markup has been updated to use <button> instead of <a> because of a
style conflict with jQueryUI's CSS.

To test, apply the patch and enable the AllowCheckoutNotes system
preference.

- Log in to the OPAC as a patron with checkouts.
- On the "Your summary" page, enter some text into a field in the
  "Notes" column of the checkouts table.
- Upon typing in the field a button should appear, "Submit note."
- The button should be styled as a green button.
- Submit the note.
- Make a change to the text in the field. A button should appear,
  "Submit changes." It should also be styled correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-09-28 14:12:35 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-10-20 14:46:11 UTC
backported to 20.05.x for 20.05.05
Comment 6 Katrin Fischer 2020-10-20 14:49:13 UTC
I am not sure if this should be backported - the dependency (Bootstrap 4 update) is not in 20.05.
Comment 7 Lucas Gass 2020-10-20 14:53:02 UTC
Cait,

You are right, that was a mistake on my part. Reverting this patch.
Comment 8 Aleisha Amohia 2020-10-27 04:16:52 UTC
missing dependencies, not backported to 19.11.x